Class | Nokogiri::XML::RelaxNG
In: | lib/nokogiri/ffi/xml/relax_ng.rb lib/nokogiri/xml/relax_ng.rb ext/nokogiri/html_document.c
Parent: | Schema

call-seq:

     from_document(doc)

Create a new RelaxNG schema from the Nokogiri::XML::Document `doc`

### Methods

from_document read_memory validate_document

### Public Class methods

from_document(doc)

Create a new RelaxNG schema from the Nokogiri::XML::Document `doc`

read_memory(string)

Create a new RelaxNG from the contents of `string`

### Public Instance methods

validate_document(document)

Validate a Nokogiri::XML::Document against this RelaxNG schema.

[Validate]